play.classloading.enhancers

## Class LocalvariablesNamesEnhancer.LocalVariablesNamesTracer

- java.lang.Object
- - play.classloading.enhancers.LocalvariablesNamesEnhancer.LocalVariablesNamesTracer

Enclosing class:
  LocalvariablesNamesEnhancer

    public static class LocalvariablesNamesEnhancer.LocalVariablesNamesTracer
    extends java.lang.Object

Runtime part.

### Constructor Summary

Constructors
Constructor and Description
`LocalVariablesNamesTracer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addVariable(java.lang.String name, boolean b)`
`static void` `addVariable(java.lang.String name, byte b)`
`static void` `addVariable(java.lang.String name, char c)`
`static void` `addVariable(java.lang.String name, double d)`
`static void` `addVariable(java.lang.String name, float f)`
`static void` `addVariable(java.lang.String name, int i)`
`static void` `addVariable(java.lang.String name, long l)`
`static void` `addVariable(java.lang.String name, java.lang.Object o)`
`static void` `addVariable(java.lang.String name, short s)`
`static void` `checkEmpty()`
`static void` `clear()`
`static void` `enter()`
`static void` `exit()`
`static java.util.List<java.lang.String>` `getAllLocalVariableNames(java.lang.Object o)`
`static java.lang.Object` `getLocalVariable(java.lang.String variable)`
`static java.util.Map<java.lang.String,java.lang.Object>` `getLocalVariables()`
`static java.util.Stack<java.util.Map<java.lang.String,java.lang.Object>>` `getLocalVariablesStateBeforeAwait()`
`static java.util.Map<java.lang.String,java.lang.Object>` `locals()`
`static void` `setLocalVariablesStateAfterAwait(java.util.Stack<java.util.Map<java.lang.String,java.lang.Object>> state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalVariablesNamesTracer

    public LocalVariablesNamesTracer()

### Method Detail

#### checkEmpty

    public static void checkEmpty()

#### clear

    public static void clear()

#### enter

    public static void enter()

#### exit

    public static void exit()

#### locals

    public static java.util.Map<java.lang.String,java.lang.Object> locals()

#### addVariable

    public static void addVariable(java.lang.String name,
                                   java.lang.Object o)

#### addVariable

    public static void addVariable(java.lang.String name,
                                   boolean b)

#### addVariable

    public static void addVariable(java.lang.String name,
                                   char c)

#### addVariable

    public static void addVariable(java.lang.String name,
                                   byte b)

#### addVariable

    public static void addVariable(java.lang.String name,
                                   double d)

#### addVariable

    public static void addVariable(java.lang.String name,
                                   float f)

#### addVariable

    public static void addVariable(java.lang.String name,
                                   int i)

#### addVariable

    public static void addVariable(java.lang.String name,
                                   long l)

#### addVariable

    public static void addVariable(java.lang.String name,
                                   short s)

#### getLocalVariables

    public static java.util.Map<java.lang.String,java.lang.Object> getLocalVariables()

#### getAllLocalVariableNames

    public static java.util.List<java.lang.String> getAllLocalVariableNames(java.lang.Object o)

#### getLocalVariable

    public static java.lang.Object getLocalVariable(java.lang.String variable)

#### getLocalVariablesStateBeforeAwait

    public static java.util.Stack<java.util.Map<java.lang.String,java.lang.Object>> getLocalVariablesStateBeforeAwait()

#### setLocalVariablesStateAfterAwait

    public static void setLocalVariablesStateAfterAwait(java.util.Stack<java.util.Map<java.lang.String,java.lang.Object>> state)